# Add funds to carrier account Adds funds to a carrier account using the payment information on file. IMPORTANT: Requires approval from apisupport@shipstation.com before use. Endpoint: POST /carriers/addfunds Version: 1.0.0 Security: basicAuth ## Request fields (application/json): - `carrierCode` (string, required) The carrier to add funds to Example: "fedex" - `amount` (number, required) Dollar amount to add (min $10, max $10,000) Example: 20 ## Response 200 fields (application/json): - `name` (string) Example: "Stamps.com" - `code` (string) Example: "stamps_com" - `accountNumber` (string) Example: "SS123" - `requiresFundedAccount` (boolean) Example: true - `balance` (number) Example: 24.14 ## Response 400 fields (application/json): - `message` (string) Example: "Invalid request parameters" ## Response 401 fields (application/json): - `message` (string) Example: "Invalid API credentials" ## Response 500 fields (application/json): - `message` (string) Example: "An internal error occurred"